import { CanvasTextBlockOptions } from "./types";
declare class CanvasTextBlock {
    private canvas;
    private context;
    private x;
    private y;
    private width;
    private height;
    private options;
    constructor(canvas: HTMLCanvasElement, x: number, y: number, width: number, height: number, _options?: Partial<CanvasTextBlockOptions>);
    /**
     * Get the max width of the text block.
     */
    private getTextBlockMaxWidth;
    /**
     * Get the options used for the canvas text block
     */
    private getOptions;
    /**
     * Get the max amount of lines possible in the text block.
     */
    private getMaxLineCount;
    private setBackgroundColor;
    /**
     * Set the text in the text block region.
     */
    setTextBlock: (text: string) => void;
    private getLinesFromText;
}
export default CanvasTextBlock;
